## festival-czech 0.2.1

=== Makefile ===
# Makefile for festival-czech
#
# Copyright (C) 2004, 2005, 2006 Brailcom, o.p.s.
#
# Author: Milan Zamazal <pdm@brailcom.org>
#
# COPYRIGHT NOTICE
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.


package := festival-czech
version := 0.2.1

festival_path = /usr/share/festival

INSTALL_PROGRAM = install

distfiles := *.scm *.out

.PHONY: all install install-strip uninstall clean distclean mostlyclean \
	maintainer-clean TAGS info dvi dist check

all: czech-lexicon.out

%.out: %.scm
	festival --batch '(lex.compile "$<" "$@")'

install: all
	$(INSTALL_PROGRAM) -m 644 $(distfiles) $(festival_path)/

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install

uninstall: all
	for f in $(distfiles); do rm $(festival_path)/$$f; done

mostlyclean:

clean: mostlyclean

distclean: clean
	rm -rf $(package)-$(version) *.tar *.tar.gz

maintainer-clean: distclean
	rm -f *.out

TAGS:

info:

dvi:

dist: all distclean
	mkdir $(package)-$(version)
	cp $(distfiles) COPYING ChangeLog FAQ INSTALL* Makefile NEWS* README* $(package)-$(version)/
	make -C $(package)-$(version) all
	chmod 755 $(package)-$(version)
	chmod 644 $(package)-$(version)/*
	tar cf $(package)-$(version).tar $(package)-$(version)
	gzip -9 $(package)-$(version).tar

check:

## festival-czech 0.3

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 
 package := festival-czech
-version := 0.2.1
+version := 0.3
 
 festival_path = /usr/share/festival

=== debian/changelog ===
festival-czech (0.3-4) unstable; urgency=medium

  * team upload
  * Use canonical anonscm vcs URL.
  * control: Bump Standards-Version to 4.1.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Apr 2018 17:39:15 +0200

festival-czech (0.3-3) unstable; urgency=medium

  * Package maintained by the debian tts team. Closes: #730997
  * Switch to dh builds.
  * Bump Standards-Version to 3.9.8.
  * Update debian/compat to 9.

 -- Sergio Oller <sergioller@gmail.com>  Wed, 18 Jan 2017 00:25:04 +0100

festival-czech (0.3-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Updated to debhelper 7.
  * Homepage field added.
  * Standards 3.8.4.

 -- Milan Zamazal <pdm@debian.org>  Mon, 15 Mar 2010 09:40:35 +0100

festival-czech (0.3-1) unstable; urgency=low

  * New upstream version.
  * Standards 3.8.0 (no real change).
  * debian/rules: Don't ignore make clean errors.
  * debian/copyright: Proper copyright notice added.

 -- Milan Zamazal <pdm@debian.org>  Tue, 17 Jun 2008 22:03:19 +0200

festival-czech (0.2.1-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@debian.org>  Wed, 21 Jun 2006 09:38:41 +0200

festival-czech (0.2-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@debian.org>  Wed, 24 May 2006 14:27:29 +0200

festival-czech (0.1-1) unstable; urgency=low

  * Recommend festvox-czech-ph.
  * This is the second attempt of initial release, previously rejected
    because of unavailability of the festvox-czech-ph in Debian;
    closes: #333387.

 -- Milan Zamazal <pdm@debian.org>  Thu, 27 Apr 2006 11:30:09 +0200

=== debian/control ===
Source: festival-czech
Section: sound
Priority: optional
Maintainer: Debian TTS Team <tts-project@lists.alioth.debian.org>
Uploaders: Sergio Oller <sergioller@gmail.com>
Build-Depends: debhelper (>= 9.0.0)
Build-Depends-Indep: festival
Standards-Version: 4.1.4
Homepage: http://devel.freebsoft.org/festival-czech
Vcs-Git: https://anonscm.debian.org/git/tts/festival-czech.git
Vcs-Browser: https://anonscm.debian.org/git/tts/festival-czech.git

Package: festival-czech
Architecture: all
Depends: festival, ${misc:Depends}
Recommends: festvox-czech-ph
Description: Czech support for Festival speech synthesis system
 General Czech language support for Festival, necessary to make Festival speak
 Czech.  This package does not contain Czech Festival voice data, you must
 additionally install the voice-czech-ph package or another Czech voice.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_install:
	$(MAKE) install festival_path=$(CURDIR)/debian/festival-czech/usr/share/festival

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

%:
	dh $@

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
http://www.freebsoft.org/pub/projects/festival-czech/ (?:.*/)?festival-czech[_\-\.]?(\d\S+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
